%define url_ver	%(echo %{version} | cut -d. -f1,2)

%define gitdate	20120718
%define rel	3

Summary:	Quicklauncher plugin for the Xfce panel
Name:		xfce4-quicklauncher-plugin
Version:	1.9.4
Release:	%mkrel 13.git%{gitdate}.%{rel}
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-quicklauncher-plugin
#
# git clone git://git.xfce.org/panel-plugins/xfce4-quicklauncher-plugin
# cd xfce4-quicklauncher-plugin
# git archive --format=tar --prefix=xfce4-quicklauncher-plugin-20120718/ master | xz > ../xfce4-quicklauncher-plugin-20120718.tar.xz
#
Source0:	%{name}-%{gitdate}.tar.xz
#Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0:         xfce4-quicklauncher-plugin-automake1.13.patch
Patch2:		xfce4-quicklauncher-plugin-1.9.4-parameters.patch
# Originally from PLD Linux,
# rediffed and slightly modified for our needs:
Patch4:		xfce4-quicklauncher-plugin-1.9.4-port-to-libxfce4ui.patch

BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(exo-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
Requires:	xfce4-panel >= 4.4.2

%description
This plugin allows you to have lots of launchers in the panel, displaying 
them on several lines.

%prep
%setup -q -n %{name}-%{gitdate}
%apply_patches

%build
NOCONFIGURE=yes xdt-autogen
%configure2_5x
%make

%install
%makeinstall_std 

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog TODO
%{_datadir}/xfce4/panel-plugins/quicklauncher.desktop
%{_libdir}/xfce4/panel-plugins/libquicklauncher.so


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.9.4-13.git20120718.3.mga3
+ Revision: 386862
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 1.9.4-13.git20120718.2.mga3
+ Revision: 338193
- add patch to fix build with automake 1.13

* Wed Jul 18 2012 wally <wally> 1.9.4-13.git20120718.1.mga3
+ Revision: 272287
- use latest git snapshot
- drop upstreamed patches
- rediff libxfce4ui patch
- clean .spec a bit

* Tue Jul 17 2012 wally <wally> 1.9.4-12.mga3
+ Revision: 271873
- rename P0 and P1
- port to libxfce4ui (P4 from PLD, slightly modified)
- clean .spec
- import from Mdv

